const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let searchTerms = [];
    for (let row of vars.data) {
      searchTerms.push({
        "key": row.key,
        "term": row.search_term,
      })
    };

    Mesa.output.next({"search_terms": searchTerms});
  }
}
